Name:           peg-solitaire
Version:        2.0
Release:        6%{?dist}
Summary:        Board game played with pegs

License:        GPLv3+
URL:            http://sourceforge.net/projects/%{name}/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

#The patch sets the correct binary folder and validates the desktop file
Patch0:         %{name}.diff

BuildRequires:  qt-devel
BuildRequires:  desktop-file-utils

%description
Peg solitaire is a board game for one player involving movement of pegs on
a board with holes. The program includes over 330 solitaire problems.
The program looks for new solutions and it is possible to raise new problems.

%prep
%setup -q
%patch0

%build
qmake-qt4 PREFIX=%{buildroot}/%{_prefix} %{name}.pro
make %{?_smp_mflags}


%install
%make_install
%find_lang solitari --with-qt --without-mo


%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop


%files -f solitari.lang
%doc changelog copying.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/games/%{name}/
%{_datadir}/pixmaps/%{name}.xpm
%{_mandir}/man6/%{name}.6.*

%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Oct 09 2013 Mario Blättermann <mariobl@fedoraproject.org> - 2.0-4
- Add a missing folder to %%files
- New placement of the find_lang macro to get it work (bug #989437)

* Sat Jul 20 2013 Mario Blättermann <mariobl@fedoraproject.org> - 2.0-3
- Removed the update-desktop-database scripts because the package
  doesn't have MIME type associations
- Attempt to use find_lang

* Wed Jul 17 2013 Mario Blättermann <mariobl@fedoraproject.org> - 2.0-2
- Fixed the %%{buildroot} usage

* Tue Jul 16 2013 Mario Blättermann <mariobl@fedoraproject.org> 2.0-1
- Initial package